# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Tasks**

* [`agent_health`](#agent_health): Check the health of a puppet agent
* [`fix_noop`](#fix_noop): Set the noop value of a node
* [`fix_runinterval`](#fix_runinterval): Set the runinterval value of a node

**Plans**

* [`puppet_health_check::fix_nodes`](#puppet_health_checkfix_nodes): Plan to carry out automated fixes found by the health_check task

## Tasks

### agent_health

Check the health of a puppet agent

**Supports noop?** true

#### Parameters

##### `target_runinterval`

Data type: `Optional[Integer]`

What should the agent run interval be set to? (Defaults to 1800 seconds)

##### `target_noop_state`

Data type: `Optional[Boolean]`

What should the agent noop state be set to? (Defaults to false)

##### `target_service_enabled`

Data type: `Optional[Boolean]`

Should the puppet service be enabled? (Defaults to true)

##### `target_service_running`

Data type: `Optional[Variant[Boolean,Enum['running', 'stopped']]]`

Should the puppet service be running? (Defaults to 'running')

### fix_noop

Set the noop value of a node

**Supports noop?** false

#### Parameters

##### `target_state`

Data type: `Optional[Boolean]`

What should the agent noop value be set to? (Defaults to false)

### fix_runinterval

Set the runinterval value of a node

**Supports noop?** false

#### Parameters

##### `target_state`

Data type: `Optional[Integer]`

What should the runinterval value be set to? (Defaults to 1800)

## Plans

### puppet_health_check::fix_nodes

Plan to carry out automated fixes found by the health_check task

#### Parameters

The following parameters are available in the `puppet_health_check::fix_nodes` plan.

##### `nodes`

Data type: `TargetSpec`



##### `target_noop_state`

Data type: `Boolean`



Default value: `false`

##### `target_runinterval`

Data type: `Integer`



Default value: 1800

##### `target_service_enabled`

Data type: `Boolean`



Default value: `true`

##### `target_service_running`

Data type: `Boolean`



Default value: `true`

